--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: MSSQL Requires the use of the ROW_NUMBER window function to emulate an offset. This implementation requires MSSQL 2005 or greater (offset can't be emulated well in MSSQL 2000).
- !ruby/struct:SM::Flow::P 
  body: The implementation is ugly, cloning the current dataset and modifying the clone to add a ROW_NUMBER window function (and some other things), then using the modified clone in a CTE which is selected from.
- !ruby/struct:SM::Flow::P 
  body: If offset is used, an order must be provided, because the use of ROW_NUMBER requires an order.
full_name: Sequel::MSSQL::DatasetMethods#select_sql
is_singleton: false
name: select_sql
params: ()
visibility: public
